# DataExchange
TKXSBase
MoniTool

# MoniTool_DataMapIteratorOfDataMapOfShapeTransient Class Reference

`#include <MoniTool_DataMapIteratorOfDataMapOfShapeTransient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MoniTool_DataMapIteratorOfDataMapOfShapeTransient ()
Standard_EXPORT | MoniTool_DataMapIteratorOfDataMapOfShapeTransient (const MoniTool_DataMapOfShapeTransient &aMap)
Standard_EXPORT void | Initialize (const MoniTool_DataMapOfShapeTransient &aMap)
Standard_EXPORT const TopoDS_Shape & | Key () const
Standard_EXPORT const Handle_Standard_Transient & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT MoniTool_DataMapIteratorOfDataMapOfShapeTransient::MoniTool_DataMapIteratorOfDataMapOfShapeTransient | ( |  | ) |

Standard_EXPORT MoniTool_DataMapIteratorOfDataMapOfShapeTransient::MoniTool_DataMapIteratorOfDataMapOfShapeTransient | ( | const MoniTool_DataMapOfShapeTransient & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void MoniTool_DataMapIteratorOfDataMapOfShapeTransient::Initialize | ( | const MoniTool_DataMapOfShapeTransient & | aMap | ) |

Standard_EXPORT const TopoDS_Shape& MoniTool_DataMapIteratorOfDataMapOfShapeTransient::Key | ( |  | ) | const

void MoniTool_DataMapIteratorOfDataMapOfShapeTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MoniTool_DataMapIteratorOfDataMapOfShapeTransient::operator new | ( | size_t | size | ) | `[inline]`

void* MoniTool_DataMapIteratorOfDataMapOfShapeTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_Standard_Transient& MoniTool_DataMapIteratorOfDataMapOfShapeTransient::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- MoniTool_DataMapIteratorOfDataMapOfShapeTransient.hxx